Bug 1258224 - Failed to delete watchdog device from template via REST api
Failed to delete watchdog device from template via REST api
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.6.0
Unspecified Unspecified
unspecified Severity high
: ovirt-3.6.0-rc
: 3.6.0
Assigned To: Juan Hernández
Shira Maximov
: Automation, Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-08-30 08:07 EDT by Shira Maximov
Modified: 2016-04-19 21:31 EDT (History)
8 users (show)

See Also:
Fixed In Version: 3.6.0-12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-04-19 21:31:33 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 45515 master MERGED restapi: Treat template watchdogs as template devices Never
oVirt gerrit 45619 ovirt-engine-3.6 MERGED restapi: Treat template watchdogs as template devices Never

  None (edit)
Description Shira Maximov 2015-08-30 08:07:02 EDT
Description of problem:
The action: delete watchdog from template failed with the following error: 
[Cannot ${action} ${type}. VM is not found.]


Version-Release number of selected component (if applicable):
vdsm-4.17.3-1.el7ev.noarch
Red Hat Enterprise Virtualization Manager Version: 3.6.0-0.12.master.el6

How reproducible:
100%

Steps to Reproduce:
1.send delete request in REST API: https://10.35.161.33/api/templates/<tempalte id>/watchdogs/00000000-0000-0000-0000-000000000000
2.
3.

Actual results:
[Cannot ${action} ${type}. VM is not found.]
Version-Release number of selected component (if applicable):

Expected results:
the action should work

Additional info:
link to automation test: 
https://rhev-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/job/3.6-GE-Tier1/7/testReport/junit/rhevmtests.sla.watchdog.watchdog_test/331-WatchdogCRUDTemplate_REST;test_remove_watchdog_template/WatchdogCRUDTemplate_REST_test_remove_watchdog_template/
Comment 1 Juan Hernández 2015-08-31 04:26:52 EDT
This regression was introduced as part of the changes in the RESTAPI required to support WildFly.
Comment 3 Shira Maximov 2015-09-24 07:54:50 EDT
verified on: 3.6.0-0.17.master.el6

Note You need to log in before you can comment on or make changes to this bug.